"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var pure_render_decorator_1 = require("pure-render-decorator");
var EDirection;
(function (EDirection) {
    EDirection["LEFT"] = "left";
    EDirection["RIGHT"] = "right";
})(EDirection = exports.EDirection || (exports.EDirection = {}));
var EColor;
(function (EColor) {
    EColor["RED"] = "red";
    EColor["ORANGE"] = "orange";
    EColor["YELLOW"] = "yellow";
    EColor["GREEN"] = "green";
    EColor["LIGHTBLUE"] = "lightBlue";
    EColor["BLUE"] = "blue";
    EColor["PURPLE"] = "purple";
    EColor["BROWN"] = "brown";
    EColor["BLACK"] = "black";
    EColor["GREY"] = "grey";
    EColor["WHITE"] = "white";
})(EColor = exports.EColor || (exports.EColor = {}));
var Button = (function (_super) {
    __extends(Button, _super);
    function Button() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Button.prototype.render = function () {
        var _a = this.props, color = _a.color, disabled = _a.disabled, float = _a.float, height = _a.height, label = _a.label, margin = _a.margin, width = _a.width;
        var styles = { float: float, height: height, margin: margin, width: width };
        return (React.createElement("button", { className: "button " + color, disabled: disabled, style: styles },
            React.createElement("div", null,
                React.createElement("div", null, label))));
    };
    Button = __decorate([
        pure_render_decorator_1.default
    ], Button);
    return Button;
}(React.Component));
exports.default = Button;
